### Function Macro

# GObject PRIVATE_FIELD_P

since: 2.38

#### Declaration

    #define G_PRIVATE_FIELD_P (
      TypeName,
      inst,
      field_name
    )

#### Description

Evaluates to a pointer to the `field_name` inside the `inst` private data structure for `TypeName`.

Note that this macro can only be used together with the `G_DEFINE_TYPE_*` and G_ADD_PRIVATE() macros, since it depends on variable names from those macros.

Available since: 2.38

This function is not directly available to language bindings.

#### Parameters

`TypeName`

  Type: `-`

  The name of the type in CamelCase.

`inst`

  Type: `-`

  The instance of `TypeName` you wish to access.

`field_name`

  Type: `-`

  The name of the field in the private data structure.